Bug 361121 - Review Request: wqy-zenhei-fonts - A Hei Ti style Chinese outline font
Review Request: wqy-zenhei-fonts - A Hei Ti style Chinese outline font
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-31 19:27 EDT by Qianqian Fang
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.2.16-0.2.20071031cvs.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-10 00:59:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
wqy-zenhei-fonts.spec-1.patch (1.52 KB, patch)
2007-11-02 00:37 EDT, Jens Petersen
no flags Details | Diff

  None (edit)
Description Qianqian Fang 2007-10-31 19:27:53 EDT
Spec URL: http://wenq.org/release/zenhei/wqy-zenhei-fonts.spec
SRPM URL: http://wenq.org/release/zenhei/wqy-zenhei-fonts-0.2.16-0.srpm
Description: 
  The WenQuanYi Zen Hei is the first open-source Chinese font 
  for Hei Ti, a sans-serif font style that are widely used for
  general purpose text formatting, and on-screen display of 
  Chinese characters (such as on Windows Vista and Mac OS).
  Simple and elegant font outlines and slightly emboldened strokes 
  makes the glyphs present higher contrast and therefore easy 
  to read. The unique style of this font also provide a simple
  interface for adding grid-fitting information for further 
  fine-tuning of the on-screen performance. WenQuanYi Zen Hei 
  has over 20400 Hanzi glyphs covering 97% of the Unicode CJK Unified 
  Ideographics. This font provides full coverage to the required 
  code points for zh_cn, zh_sg, zh_tw, zh_hk and zh_mo locales. 
  The total vector glyphs in this font is over 35000 including Latin 
  characters, Japanese kanas, hanguls and symbols from many 
  other languages.

The only problem so far is that mkfontdir seems did not generate proper fonts.dir file, although the font can be used normally on the system (via fontconfig).
Comment 1 Qianqian Fang 2007-10-31 19:33:53 EDT
one more thing, the third digit of the upstream version number represents the
accummulative compilation number for the software to generate the font outlines
(currently the 16th), I copied it to the %{version} field. if it seems to be odd
from Fedora's tradition, I can set it to zero.
Comment 2 Jens Petersen 2007-11-01 00:28:11 EDT
Thanks for the submission. :)

BTW srpm is http://wenq.org/release/zenhei/wqy-zenhei-fonts-0.2.16-0.src.rpm
Comment 3 Jens Petersen 2007-11-01 03:23:29 EDT
(In reply to comment #1)
> one more thing, the third digit of the upstream version number represents the
> accummulative compilation number for the software to generate the font outlines
> (currently the 16th), I copied it to the %{version} field. if it seems to be odd
> from Fedora's tradition, I can set it to zero.

I think that is fine, but since this is a snapshot (pre-release?)
the release number should remain below 1 until the final 0.2.16 release
or next one.  So please start with 0.1 in the release field.
Comment 4 Qianqian Fang 2007-11-01 12:38:57 EDT
yes, this is a pre-release version. However, it is likely that we will skip
0.2.16 and release the following version if everything goes right. For version
number control, I agree that 0.1 is appropriate for release. 

the spec/srpm were updated:
Spec URL: http://wenq.org/release/zenhei/wqy-zenhei-fonts.spec
SRPM URL: http://wenq.org/release/zenhei/wqy-zenhei-fonts-0.2.16-0.1.src.rpm
Comment 5 Jens Petersen 2007-11-02 00:37:37 EDT
Created attachment 246371 [details]
wqy-zenhei-fonts.spec-1.patch

Basically looks ok to me.

Here are some minor cleanups/fixes and improvements.
Comment 6 Jens Petersen 2007-11-02 00:40:10 EDT
Ah one more: better to use %{fontname} in %setup too. :)
Comment 7 Qianqian Fang 2007-11-02 10:29:45 EDT
thank you. I patched the spec file with your edits, and replaced wqy-zenhei with
%{fontname} (in %setup field and in 44-wqy-zenhei.conf file names).

the new spec/srpm:
Spec URL: http://wenq.org/release/zenhei/wqy-zenhei-fonts.spec
SRPM URL: http://wenq.org/release/zenhei/wqy-zenhei-fonts-0.2.16-0.2.src.rpm
Comment 8 Jens Petersen 2007-11-06 02:51:11 EST
Thanks.

Here is the review:

Good:
+ rpmlint clean, except waivable
wqy-zenhei-fonts.noarch: W: symlink-should-be-relative
/etc/X11/fontpath.d/wqy-zenhei-fonts /usr/share/fonts/wqy-zenhei
+ package is named after upstream wqy-zenhei
+ meets packaging guidelines
+ license is GPL2 with font embedding exception
+ source matches upstream tarball
1b79021d813cc22e1be3a117533d8145  wqy-zenhei-0.2.16-CVS20071031.tar.gz
+ noarch package builds correctly
+ buildreq is listed
+ filelist is correct
+ good macro usage
+ content is a free truetype font

Needs attention
- according to
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-cfd71146dbb6f00cec9fe3623ea619f843394837
the release field should be 0.1.20071031cvs to make it clear that it is a
snapshot release.

I tested the package and it seems to work ok.
I note that it seems to override cjkunifonts.

Except maybe the release field as noted above,
all MUST items are satisfied.

Package is APPROVED.
Comment 9 Jens Petersen 2007-11-06 02:55:03 EST
One other thing, I don't know if you want to consider putting
the source in the tarball (maybe now or later) rather than just
shipping the .ttf file.  Do you build it with fontforge?
Comment 10 Qianqian Fang 2007-11-06 14:49:03 EST
thank you Jens. The cvs tag was added to the spec file and I will commit the
updated packages when the cvs module is ready.

You are right, I used fontforge to assemble the generated glyphs into the ttf
file. I do have the sfd file of the font, however, the size of the file is
104MB! Indeed, if you load the ttf into fontforge, you can generate almost the
same sfd file. So, in that aspect, I think the ttf is good enough to serve as
both the font itself and the source.
Comment 11 Qianqian Fang 2007-11-06 23:50:49 EST
New Package CVS Request
=======================
Package Name: wqy-zenhei-fonts
Short Description: WenQuanYi Zen Hei, a Hei Ti style outline Chinese font
Owners: fangq, petersen
Branches: FC-6, F-7
InitialCC: petersen@redhat.com
Comment 12 Qianqian Fang 2007-11-06 23:54:49 EST
New Package CVS Request
=======================
Package Name: wqy-zenhei-fonts
Short Description: WenQuanYi Zen Hei, a Hei Ti style outline Chinese font
Owners: fangq, petersen
Branches: FC-6 F-7 F-8
InitialCC: petersen
Comment 13 Jens Petersen 2007-11-07 00:07:21 EST
Resetting review flag: see comment 8.
Comment 14 Kevin Fenzi 2007-11-07 15:04:11 EST
cvs done. 
Comment 15 Fedora Update System 2007-11-10 00:59:51 EST
wqy-zenhei-fonts-0.2.16-0.2.20071031cvs.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2007-11-10 01:00:35 EST
wqy-zenhei-fonts-0.2.16-0.2.20071031cvs.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.